Opened 4 years ago

Closed 4 years ago

#49025 closed update (fixed)

ansible @1.9.2.1 new upstream version 1.9.3 is available

Reported by: lpancescu (Laurențiu Păncescu) Owned by: adfernandes (Andrew Fernandes)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: blair (Blair Zajac), steenzout (Pedro Salgado)
Port: ansible

Description

Could you please upgrade the MacPorts version to Ansible 1.9.3 (which is the last stable version shown by pip)? Version 1.9.2 has at least two annoying bugs:

  • with_subelements doesn't accept an optional third argument, "skip_missing: True"
  • the patch plugin never looks for patch files on the controller, in the role directory, even if that's the documented default (it always tries to find the file on the remote machine). See issue #338 -> https://github.com/ansible/ansible-modules-extras/issues/338

Thanks!

Change History (2)

comment:1 Changed 4 years ago by mf2k (Frank Schima)

Cc: blair@… pedro.salgado@… added
Owner: changed from macports-tickets@… to adfernandes@…
Port: ansible added
Version: 2.3.3

In the future, please fill in the Port field and Cc the port maintainers (port info --maintainers ansible), if any.

comment:2 Changed 4 years ago by adfernandes (Andrew Fernandes)

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.